---
apiVersion: operator.openshift.io/v1
kind: DNS
metadata:
  creationTimestamp: "2025-10-27T11:31:49Z"
  finalizers:
  - dns.operator.openshift.io/dns-controller
  generation: 1
  managedFields:
  - apiVersion: operator.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:finalizers:
          .: {}
          v:"dns.operator.openshift.io/dns-controller": {}
      f:spec:
        .: {}
        f:cache:
          .: {}
          f:negativeTTL: {}
          f:positiveTTL: {}
        f:logLevel: {}
        f:nodePlacement: {}
        f:operatorLogLevel: {}
        f:upstreamResolvers:
          .: {}
          f:policy: {}
          f:protocolStrategy: {}
          f:transportConfig: {}
          f:upstreams: {}
    manager: dns-operator
    operation: Update
    time: "2025-10-27T11:31:49Z"
  - apiVersion: operator.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:clusterDomain: {}
        f:clusterIP: {}
        f:conditions: {}
    manager: dns-operator
    operation: Update
    subresource: status
    time: "2025-10-27T12:38:07Z"
  name: default
  resourceVersion: "49499"
  uid: 1872ec2a-5961-49b8-84fd-adcb089a873b
spec:
  cache:
    negativeTTL: 0s
    positiveTTL: 0s
  logLevel: Normal
  nodePlacement: {}
  operatorLogLevel: Normal
  upstreamResolvers:
    policy: Sequential
    protocolStrategy: ""
    transportConfig: {}
    upstreams:
    - port: 53
      type: SystemResolvConf
status:
  clusterDomain: cluster.local
  clusterIP: 172.30.0.10
  conditions:
  - lastTransitionTime: "2025-10-27T11:32:13Z"
    message: Enough DNS pods are available, and the DNS service has a cluster IP address.
    reason: AsExpected
    status: "False"
    type: Degraded
  - lastTransitionTime: "2025-10-27T12:38:07Z"
    message: All DNS and node-resolver pods are available, and the DNS service has
      a cluster IP address.
    reason: AsExpected
    status: "False"
    type: Progressing
  - lastTransitionTime: "2025-10-27T11:32:13Z"
    message: The DNS daemonset has available pods, and the DNS service has a cluster
      IP address.
    reason: AsExpected
    status: "True"
    type: Available
  - lastTransitionTime: "2025-10-27T11:31:50Z"
    message: DNS Operator can be upgraded
    reason: AsExpected
    status: "True"
    type: Upgradeable
